/*header-navbar__bottom*/

.header-navbar__bottom {
    position: relative;
}

.header-navbar__bottom-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 70px;

    @media (max-width: 992px) {
        position: fixed;
        top: 0;
        left: -100%;
        width: 20rem;
        height: 100%;
        background-color: var(--white);
        transition: left 0.3s ease;
        z-index: 100;
        padding: 50px 0;
        box-shadow: 2px 0 5px rgba(0, 6, 14, .6);
        align-items: flex-start;
        justify-content: flex-start;
        overflow-x: auto;
    }

    &.active {
        left: 0;
        flex-direction: column;
        gap: 0;
        padding: 0;
    }
}

.header-navbar__bottom-list {
    width: 100%;

    @media (max-width: 992px) {
        margin-bottom: 16px;
    }
}

.submenu {
    @media (max-width: 992px) {
        display: none;
    }
}

.submenu-block {
    position: absolute;
    left: 0;
    right: 0;
    background: var(--white);
    z-index: 20;
    box-shadow: 0 100px 84px rgba(43, 45, 52, .12);

    @media (max-width: 992px) {
        display: none;
    }
}

.submenu__item {
    padding-bottom: 20px;
    box-shadow: 0 100px 84px rgba(43, 45, 52, .12);
    display: none;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;

    &.active {
        display: flex;
        opacity: 1;
        visibility: visible;
    }
}

.submenu__item-wrapper {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
    width: 100%;
    padding-top: 20px;
}

.submenu__item-card {
    flex: 0 0 calc(100% / 4 - (20px / 4 * 3));
    display: flex;
    align-items: center;
    gap: 10px;
    border: 1px solid var(--gray-200-47);
    padding: 15px 25px;
    border-radius: 10px;
    color: var(--gray-700);
    font-weight: 600;
    transition: 0.3s;

    &:hover {
        border: 1px solid var(--red-600);
    }
}

.submenu__item-card-icon {
    width: 52px;
    height: 50px;
    flex-shrink: 0;
    border-radius: 8px;
    overflow: hidden;

    img {
        object-fit: contain;
        height: 100%;
        width: 100%;
    }
}

.header-navbar__bottom-items {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0;
    position: relative;

    @media (max-width: 992px) {
        flex-direction: column;
        align-items: flex-start;
        width: 100%;
        gap: 0;
        display: flex;
        justify-content: space-between;
        position: relative;
    }

}

.header-navbar__bottom-item {
    color: var(--gray-700);
    font-weight: 500;
    line-height: 118%; /* 18.88px */

    @media (max-width: 992px) {
        font-size: 1rem;
        width: 100%;
        padding: 14px 16px;
        position: relative;

        &:before {
            content: '';
            position: absolute;
            top: 0;
            height: 1px;
            width: 90%;
            background-color: var(--gray-200-47);
        }


        &:hover {
            background-color: var(--gray-200-47);
        }
    }

    span {
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    svg {
        width: 10px;
        height: 10px;
        flex-shrink: 0;
        fill: var(--gray-700);
        stroke: var(--gray-700);
        transform: rotate(0deg);
        transition: .3s;
    }

    a {
        display: flex;
        align-items: center;
        gap: 5px;

        &:hover {
            svg {
                fill: var(--red-700);
                stroke: var(--red-700);
            }
        }

    }

}

.js-header-navbar__bottom-item.active a {
    color: var(--red-700);

    svg {
        transform: rotate(180deg);
        fill: var(--red-700);
        stroke: var(--red-700);
    }
}

.header-navbar__bottom-link {
    color: var(--gray-700);
    padding-bottom: 16px;

    @media (max-width: 992px) {
        padding-bottom: 0;

        svg {
            display: none;
        }
    }
}

.header-navbar__social {
    display: flex;
    align-items: center;
    gap: 20px;

    @media (max-width: 1200px) {
        display: none;
    }
    @media (max-width: 992px) {
        display: flex;
        margin-right: auto;
        padding-left: 20px;
        gap: 10px;
    }

}

.header-navbar__middle-contacts-mobile {
    display: none;

    @media (max-width: 992px) {
        display: block;
    }
}

.header-navbar__middle-contact-mobile {
    display: none;
    flex-direction: column;
    margin: 20px 5px 20px 20px;
    gap: 4px;

    @media (max-width: 992px) {
        display: block;
    }

    span {
        display: block;
        font-weight: 400;
        color: var(--gray-600);
        font-size: 0.875rem;
    }

    a {
        color: var(--gray-700);
        font-size: 1rem;
        font-weight: 700;
    }
}

.header-navbar__social-item {
    width: 30px;
    height: 30px;
    flex-shrink: 0;
    border-radius: 4px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 15px;

    @media (max-width: 992px) {
        width: 40px;
        height: 40px;
        margin-bottom: 0;
    }


    svg {
        width: 30px;
        height: 30px;

        @media (max-width: 992px) {
            width: 40px;
            height: 40px;
        }
    }
}

.menu-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 6, 14, .6);
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
    z-index: 97;
    @media (max-width: 992px) {
        display: block;
    }

    &.active {
        opacity: 1;
        visibility: visible;
    }
}

/**/